Bug 215623 - Enhancement Request for rhr to include ACPI tests
Enhancement Request for rhr to include ACPI tests
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Nichols
Depends On:
  Show dependency treegraph
Reported: 2006-11-14 16:32 EST by Chris Moore
Modified: 2008-07-16 18:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-13 16:24:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Moore 2006-11-14 16:32:31 EST
Enhancement request for RHR certification test kit.

1. Compose a test to report all of the power states (C0-Cn) exposed to the OS by
the BIOS tables (DSDT, ECDT) 2. Cycle through each of the BIOS supported states
making sure that the system is able to enter and exit every state without data

2. Have another test that reports the performance states (P0-Pn) of the CPU as
provided by the BIOS and force the CPU to enter each frequency.  Compare the
entered frequencies to those that are expected with that performance state.  

3. Can there a be a reporting feature in the test kit that logs the current
cpu/power states at time of failure in each of the logs.  This would provide an
addition layer of system-level debug information to help both sides if a test
does fail.

4. Have a summary of all the power states and performance states encountered
throughout the certification stress testing in addition to #1,2,3. This will be
a very useful tool for both Red Hat and your hardware vendors to analyze what
states that have been encountered during testing.

Note You need to log in before you can comment on or make changes to this bug.